package com.xingxi.business.ExpressInfo.service;

import com.xingxi.business.ExpressInfo.domain.ExpressInfo;

import java.util.List;

/**
 * 快递信息Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IExpressInfoService {
    /**
     * 查询快递信息
     *
     * @param expressInfoId 快递信息主键
     * @return 快递信息
     */
    ExpressInfo selectExpressInfoByExpressInfoId(Long expressInfoId);

    /**
     * 查询快递信息列表
     *
     * @param ExpressInfo 快递信息
     * @return 快递信息集合
     */
    List<ExpressInfo> selectExpressInfoList(ExpressInfo ExpressInfo);

    /**
     * 新增快递信息
     *
     * @param ExpressInfo 快递信息
     * @return 结果
     */
    int insertExpressInfo(ExpressInfo ExpressInfo);

    /**
     * 新增快递信息
     *
     * @param ExpressInfoList 快递信息
     * @return 结果
     */
    int batchInsertExpressInfo(List<ExpressInfo> ExpressInfoList);

    /**
     * 修改快递信息
     *
     * @param ExpressInfo 快递信息
     * @return 结果
     */
    int updateExpressInfo(ExpressInfo ExpressInfo);

    /**
     * 批量删除快递信息
     *
     * @param expressInfoIds 需要删除的快递信息主键集合
     * @return 结果
     */
    int deleteExpressInfoByExpressInfoIds(String expressInfoIds);

    /**
     * 删除快递信息信息
     *
     * @param expressInfoId 快递信息主键
     * @return 结果
     */
    int deleteExpressInfoByExpressInfoId(Long expressInfoId);

    /**
     * 逻辑删除快递信息
     *
     * @param expressInfoId 快递信息主键
     * @return 结果
     */
    int logicDeleteExpressInfoByExpressInfoId(Long expressInfoId);

    /**
     * 逻辑批量删除快递信息
     *
     * @param expressInfoIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteExpressInfoByExpressInfoIds(String[] expressInfoIds);

    /**
     * 逻辑批量删除快递信息
     *
     * @param ExpressInfo 快递信息
     * @return 结果
     */
    int logicDeleteExpressInfoByCondition(ExpressInfo ExpressInfo);
}
